org.apache.cassandra.transport

## Class Frame.Header

- java.lang.Object
- - org.apache.cassandra.transport.Frame.Header

- Enclosing class:
    Frame

      public static class Frame.Header
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Frame.Header.Flag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BODY_LENGTH_SIZE`
    `java.util.EnumSet<Frame.Header.Flag>` | `flags`
    `static int` | `LEGACY_LENGTH`
    `static int` | `MODERN_LENGTH`
    `int` | `streamId`
    `Message.Type` | `type`
    `int` | `version`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODERN_LENGTH

          public static final int MODERN_LENGTH

      See Also:
        Constant Field Values

    - #### LEGACY_LENGTH

          public static final int LEGACY_LENGTH

      See Also:
        Constant Field Values

    - #### BODY_LENGTH_SIZE

          public static final int BODY_LENGTH_SIZE

      See Also:
        Constant Field Values

    - #### version

          public final int version

    - #### flags

          public final java.util.EnumSet<Frame.Header.Flag> flags

    - #### streamId

          public final int streamId

    - #### type

          public final Message.Type type

Copyright © 2018 The Apache Software Foundation